Magnetoculus Visualisation de champs en VR avec Oculus

Public Member Functions | Protected Member Functions | List of all members
IsoSurfaceGenerator Class Reference
Inheritance diagram for IsoSurfaceGenerator:

## Public Member Functions
void | AddIsoValue (float isoValue)
void | RemoveIsoValue (float isoValue)
HashSet< float > | GetIsoValues ()
void | ClearIsoValues ()
Public Member Functions inherited from Generator
delegate void | GenerationEventWithArgs (float generationProgress, string generationText)
delegate void | GenerationEvent ()
delegate void | ErrorEvent (string message)
void | StartGeneration ()

## Protected Member Functions
override void | Awake ()
void | Init ()
override void | CreateRepresentationInformation ()
override IEnumerator | AsynchronousGeneration ()
Protected Member Functions inherited from Generator
void | FileError (string message)
void | TriggerGenerationProgressEvent (float generationProgress, string generationText)
void | TriggerGenerationStartEvent ()
void | TriggerGenerationEndEvent ()
void | TriggerGenerationErrorEvent (string message)

## Additional Inherited Members
Protected Attributes inherited from FieldGenerator
int | m_MaxVerticesPerChunk = 30000
Field | m_Field
FieldInfoManager | m_FieldInfoManager
Protected Attributes inherited from Generator
GameObject | m_ChunkPrefab
RepresentationNavigation | m_RepresentationManagerPanel
FileInfoManager | m_FileInfoManager
string | m_FileName
GameObject | m_Representation
Mesh | m_Mesh
Events inherited from Generator
static GenerationEvent | GenerationStartEvent
static GenerationEventWithArgs | GenerationProgressEvent
static GenerationEvent | GenerationEndEvent
static ErrorEvent | GenerationErrorEvent

## Detailed Description

FieldGenerator that generates isoSurfaces from a regular grid:

- uses the marching cubes algorithm, which may lead to holes in the surface in very few cases
- the grid needs to be regular and increase first in y, then in z.

## Member Function Documentation

## ◆ AddIsoValue()

void IsoSurfaceGenerator.AddIsoValue | ( | float | isoValue | ) |

## ◆ AsynchronousGeneration()

override IEnumerator IsoSurfaceGenerator.AsynchronousGeneration | ( |  | ) |
| protected virtual

The generation is a coroutine so we can check its state and display it on a progress bar.

Implements Generator.

## ◆ Awake()

override void IsoSurfaceGenerator.Awake | ( |  | ) |
| protected virtual

Reimplemented from FieldGenerator.

## ◆ ClearIsoValues()

void IsoSurfaceGenerator.ClearIsoValues | ( |  | ) |

## ◆ CreateRepresentationInformation()

override void IsoSurfaceGenerator.CreateRepresentationInformation | ( |  | ) |
| protected virtual

Implements Generator.

## ◆ GetIsoValues()

HashSet<float> IsoSurfaceGenerator.GetIsoValues | ( |  | ) |

## ◆ Init()

void IsoSurfaceGenerator.Init | ( |  | ) |
| protected

## ◆ RemoveIsoValue()

void IsoSurfaceGenerator.RemoveIsoValue | ( | float | isoValue | ) |

The documentation for this class was generated from the following file:

- Assets/Scripts/Representation/IsoSurfaceGenerator.cs